Vla-polarpoint

提供: GizmoLabs
移動先: 案内検索
構文
(vla-polarpoint vla-object Point Angle Distance)


機能
指定された点から指定された角度と距離にある点を取得する。


引数
  • vla-object … このメソッドが適用される VLAオブジェクト
  • Point … 始点を指定する 3D WCS 座標。(バリアント型)
  • Angle … 角度(ラジアン)
  • Distance … 現在の作図単位での距離。


戻り値
指定された点から指定された角度と距離にある 3D WCS 座標。(バリアント型)


サンプル
(vl-load-com)
(defun c:Example_PolarPoint ()
    ;; 指定された点から指定された角度と距離にある点を取得するサンプル。
    (setq *docs* (vla-get-documents (vlax-get-acad-object)))
    
    (setq basePnt (vlax-3d-point 2 2 0)
          ang 0.785398163   ; 45度
          dist 5)
    
    (setq polarPnt (vla-PolarPoint (vla-get-Utility *docs*) basePnt ang dist))
    
    ;; 線分を基点からの距離と角度で作成
    (setq modelSpace (vla-get-ModelSpace *docs*))
    (setq lineObj (vla-AddLine modelSpace basePnt polarPnt))
    (vla-ZoomAll (vlax-get-acad-object))
)

関連事項